## dhcpcd-dbus 0.6.0

=== Makefile ===
PROG=		dhcpcd-dbus
SRCS=		dhcpcd.c dbus-dict.c dhcpcd-dbus.c wpa.c wpa-dbus.c
SRCS+=		eloop.c main.c

OBJS=		${SRCS:.c=.o}

CFLAGS?=	-O2
include config.mk

CONFFILES=	dhcpcd-dbus.conf
FILES=		name.marples.roy.dhcpcd.service
CONFDIR=	${SYSCONFDIR}/dbus-1/system.d
FILESDIR=	${PREFIX}/share/dbus-1/system-services
CLEANFILES+=	name.marples.roy.dhcpcd.service

_VERSION_SH=	sed -n 's/\#define VERSION[[:space:]]*"\(.*\)".*/\1/p' defs.h
_VERSION!=	${_VERSION_SH}
VERSION=	${_VERSION}$(shell ${_VERSION_SH})

GITREF?=	HEAD
DISTPREFIX?=	${PROG}-${VERSION}
DISTFILE?=	${DISTPREFIX}.tar.bz2

.SUFFIXES: .in

all: ${PROG} ${FILES}

.in:
	${SED} -e 's:@LIBEXECDIR@:${LIBEXECDIR}:g' $@.in > $@

.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

.depend: ${SRCS} ${COMPAT_SRCS}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${COMPAT_SRCS} > .depend

depend: .depend

${PROG}: .depend ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

install:
	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -d ${DESTDIR}${CONFDIR}
	${INSTALL} -m ${FILESMODE} ${CONFFILES} ${DESTDIR}${CONFDIR}
	${INSTALL} -d ${DESTDIR}${FILESDIR}
	${INSTALL} -m ${FILESMODE} ${FILES} ${DESTDIR}${FILESDIR}

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}

distclean: clean
	rm -f .depend config.h config.mk

dist:
	git archive --prefix=${DISTPREFIX}/ ${GITREF} | bzip2 > ${DISTFILE}

include Makefile.inc

## dhcpcd-dbus 0.5.2

=== debian/changelog ===
dhcpcd-dbus (0.5.2-2) unstable; urgency=low

  Fix compilation on kFreeBSD

 -- Roy Marples <roy@marples.name>  Fri, 22 Oct 2010 19:57:34 +0100

dhcpcd-dbus (0.5.2-1) unstable; urgency=low

  * Initial upload to Debian (closes: #563974)

 -- Roy Marples <roy@marples.name>  Thu, 16 Sep 2010 10:37:38 +0100

=== debian/control ===
Source: dhcpcd-dbus
Section: net
Priority: optional
Maintainer: Roy Marples <roy@marples.name>
Build-Depends: debhelper (>= 7.0.50~), libdbus-1-dev (>=1)
Standards-Version: 3.8.4
Homepage: http://roy.marples.name/projects/dhcpcd-dbus

Package: dhcpcd-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dhcpcd5 (>=5)
Description: DBus bindings for dhcpcd
 DBus binding for dhcpcd, for use by dhcpcd frontends such as dhcpcd-gtk.

## dhcpcd-dbus 0.6.0

=== debian/changelog ===
dhcpcd-dbus (0.6.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't run dh_auto_clean unless config.mk exists, (Closes: #724078)
    (from Andreas Moog <andreas.moog@warperbbs.de>)

 -- Chen Baozi <baozich@gmail.com>  Fri, 06 Jun 2014 13:04:26 +0800

dhcpcd-dbus (0.6.0-1) unstable; urgency=low

  * New upstream release

 -- Roy Marples <roy@marples.name>  Sun, 01 Apr 2012 17:00:19 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Roy Marples <roy@marples.name>
 Build-Depends: debhelper (>= 7.0.50~), libdbus-1-dev (>=1)
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://roy.marples.name/projects/dhcpcd-dbus
 
 Package: dhcpcd-dbus

=== debian/watch ===
version=3
ftp://roy.marples.name/pub/dhcpcd/dhcpcd-dbus-(.*)\.tar\.bz2 debian uupdate

## dhcpcd-dbus 0.6.1

=== Makefile ===
PROG=		dhcpcd-dbus
SRCS=		dhcpcd.c dbus-dict.c dhcpcd-dbus.c wpa.c wpa-dbus.c
SRCS+=		eloop.c main.c

OBJS=		${SRCS:.c=.o}

CFLAGS?=	-O2

TOP?=		.
include ${TOP}/iconfig.mk

CONFFILES=	dhcpcd-dbus.conf
FILES=		name.marples.roy.dhcpcd.service
CONFDIR=	${SYSCONFDIR}/dbus-1/system.d
FILESDIR=	${PREFIX}/share/dbus-1/system-services
CLEANFILES+=	name.marples.roy.dhcpcd.service

DEPEND!=	test -e .depend && echo "depend" || echo ""
VERSION!=	sed -n 's/\#define VERSION[[:space:]]*"\(.*\)".*/\1/p' \
		    ${TOP}/defs.h

FOSSILID?=	current
DISTPREFIX?=	${PROG}-${VERSION}
DISTFILEGZ?=	${DISTPREFIX}.tar.gz
DISTFILE?=	${DISTPREFIX}.tar.bz2

.SUFFIXES: .in

all: ${PROG} ${FILES}

.in:
	${SED} -e 's:@LIBEXECDIR@:${LIBEXECDIR}:g' $@.in > $@

.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

.depend: ${SRCS} ${COMPAT_SRCS}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${COMPAT_SRCS} > .depend

depend: .depend

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

test:
	dbus-send --system --print-reply \
	    --dest=name.marples.roy.dhcpcd \
	    /name/marples/roy/dhcpcd \
	    name.marples.roy.dhcpcd.GetInterfaces

proginstall:
	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${LIBEXECDIR}

install: proginstall
	${INSTALL} -d ${DESTDIR}${CONFDIR}
	${INSTALL} -m ${FILESMODE} ${CONFFILES} ${DESTDIR}${CONFDIR}
	${INSTALL} -d ${DESTDIR}${FILESDIR}
	${INSTALL} -m ${FILESMODE} ${FILES} ${DESTDIR}${FILESDIR}

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}

distclean: clean
	rm -f .depend config.h config.mk *.bz2

dist:
	fossil tarball --name ${DISTPREFIX} ${FOSSILID} ${DISTFILEGZ}
	gunzip -c ${DISTFILEGZ} |  bzip2 >${DISTFILE}
	rm ${DISTFILEGZ}

include Makefile.inc

=== debian/changelog ===
dhcpcd-dbus (0.6.1-4) unstable; urgency=medium

  * QA upload.
  * Migrate depends on dhcpcd5 to dhcpcd. (Closes: #1031093)

 -- Leandro Cunha <leandrocunha016@gmail.com>  Wed, 15 Feb 2023 18:27:03 -0300

dhcpcd-dbus (0.6.1-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 14:01:45 +0100

dhcpcd-dbus (0.6.1-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Add Vcs-Git and Vcs-Browser with repository in Salsa.
    - Bump Standards-Version to 4.6.0.1.
  * debian/copyright:
    - Fix license BSD-2 to BSD-2-clause in debian/copyright.
    - Update years of myself contribution.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Thu, 06 Jan 2022 02:06:43 -0300

dhcpcd-dbus (0.6.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Fixed Lintian reports.
  * debian/control:
    - Bumped Standards-Version to 4.5.1.
    - Added Rules-Requires-Root: no.
    - Updated homepage field.
  * debian/watch:
    - Fixed problem to import tarball via uscan.
    - Updated version of 3 to 4.
  * debian/copyright:
    - Updated year upstream author.
    - Updated source field.
    - Updated file following DEP-5.
    - Added files debian/* and people involved with year of contribution.
    - Added myself.
  * debian/rules:
    - Set ignore dh_auto_test to fix FTBFS (Fails To Build From Source) and
      thanks to Simon McVitie maintainer of the dbus who helped me with this.
  * Added debian/gbp.conf.
  * Added debian/upstream/metadata.
  * Added debian/test/control to autopkgtest.
  * Added debian/salsa-ci.yml.

 -- Leandro Cunha <leandrocunha016@gmail.com>  Wed, 30 Dec 2020 12:25:53 -0300

dhcpcd-dbus (0.6.0-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as mantainer. (see #770080)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Deivite Huender Ribeiro Cardoso <deivite@riseup.net>  Sat, 09 May 2020 15:30:37 -0300

=== debian/control ===
Source: dhcpcd-dbus
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libdbus-1-dev
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://roy.marples.name/projects/dhcpcd
Vcs-Git: https://salsa.debian.org/debian/dhcpcd-dbus.git
Vcs-Browser: https://salsa.debian.org/debian/dhcpcd-dbus

Package: dhcpcd-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dhcpcd
Description: DBus bindings for dhcpcd
 DBus binding for dhcpcd, for use by dhcpcd frontends such as dhcpcd-gtk.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_clean:
	[ ! -f config.mk ] || dh_auto_clean
# Commands not to run:
override_dh_auto_test:

=== debian/watch ===
version=4
https://roy.marples.name/downloads/dhcpcd/dhcpcd-dbus-(.*)\.tar\.bz2 debian uupdate
